---
title: Adapting XUL Applications for Firefox 1.5
slug: Mozilla/Firefox/Releases/1.5/Adapting_XUL_Applications_for_Firefox_1.5
tags:
  - Add-ons
  - Extensions
  - XUL
---
<div>{{FirefoxSidebar}}</div>

<p>This page contains a list of changes in <a href="/en/Firefox_1.5_for_developers" title="en/Firefox_1.5_for_developers">Firefox 1.5</a>, affecting XUL developers.</p>

<h3 id="Specific_Changes">Specific Changes</h3>

<ul>
 <li><a href="/en/Tree_Widget_Changes" title="en/Tree_Widget_Changes">Tree Widget Changes</a></li>
 <li><a href="/en/International_characters_in_XUL_JavaScript" title="en/International_characters_in_XUL_JavaScript">International characters in XUL JavaScript</a> (only affects extensions with JavaScript files containing non-ASCII characters)</li>
 <li><a href="/en/XMLHttpRequest_changes_for_Gecko1.8" title="en/XMLHttpRequest_changes_for_Gecko1.8">XMLHttpRequest changes</a></li>
 <li><a href="/en/XUL_Changes_for_Firefox_1.5" title="en/XUL_Changes_for_Firefox_1.5">XUL Changes for Firefox 1.5</a></li>
 <li><a href="/en/XPCNativeWrapper" title="en/XPCNativeWrapper">XPCNativeWrappers</a> are on by default, and the behavior changed somewhat compared to 1.0.x</li>
 <li>A simpler method of <a href="/en/Chrome_Registration" title="en/Chrome_Registration">Chrome Registration</a> deprecates contents.rdf.</li>
 <li>For overlayed context menus: the function <code>gContextMenu.linkURL()</code> has been renamed to <code>gContextMenu.getLinkURL()</code>, and <code>linkURL</code> is now a property. To use it in a backwards-compatible way:<br>
  <code>url = 'getLinkURL' in gContextMenu ? gContextMenu.getLinkURL() : gContextMenu.linkURL();</code></li>
</ul>

<h3 id="Other_Information">Other Information</h3>

<ul>
 <li><a href="/en/Using_nsIXULAppInfo" title="en/Using_nsIXULAppInfo">How to check application's version using nsIXULAppInfo</a></li>
 <li><a class="external" href="http://kb.mozillazine.org/Dev_:_Extensions_:_Cross-Version_Compatibility_Techniques">MozillaZine</a></li>
</ul>
